UMS(4) | Device Drivers Manual | UMS(4)

# NAME

`ums` — USB mouse and touchpanel support

# SYNOPSIS

`ums* at uhidev? reportid ?`
`wsmouse* at ums?`

# DESCRIPTION

The `ums` driver provides support for USB mice and touchpanels. Access to the movement data is through the wsmouse(4) driver.

Be aware that many USB mice will, if the mouse device is not open, detach and reattach themselves repeatedly at regular intervals (usually around one minute) causing spam on the console and the system log. This is apparently intentional behavior on the part of the hardware manufacturers. The best workaround is to keep the mouse device open, either via X11, or, if not using the window system, by running wsmoused(8).

# SEE ALSO

uhidev(4), usb(4), wsmouse(4)

# HISTORY

The `ums` driver appeared in NetBSD 1.4. Touchpanel support was added in NetBSD 5.1.

June 6, 2021 | NetBSD 11.0